package lingtao.net.dao;

import lingtao.net.bean.ProductImg;
import lingtao.net.bean.SysDictProduct;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface ProductImgMapper {

    List<ProductImg> getProKindList(ProductImg productImg);

    SysDictProduct getLabel(ProductImg productImg);

    int addImgUrl(ProductImg productImg);

    int updateImgUploadRemark(ProductImg productImg);

    List<SysDictProduct> findAllPro();

    List<SysDictProduct> getKindsByPro(@Param("proTypeValue") String proTypeValue);

    List<SysDictProduct> getKind2sByKind(@Param("proTypeValue") String proTypeValue,
                                         @Param("kindValue") String kindValue);

    List<ProductImg> getImgsByProKind(@Param("proTypeValue") String proTypeValue, @Param("kindValue") String kindValue,
                                      @Param("kind2Value") String kind2Value, @Param("craftValue") String craftValue);

    // 获取视频地址
    @Select("select img_url from product_img where pro_type_value = '999'")
    List<String> getVideos();

}